Bug 10438 - gear-update-archive fails on certain tarballs
: gear-update-archive fails on certain tarballs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gear)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-16 21:37 by
Modified: 2008-03-12 17:30 (History)


Attachments
gear-update (6.58 KB, text/plain)
2007-01-04 17:25, Alexey Gladkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-16 21:37:43
wrar@wrars-comp ALT/git/scmpc $ gear-update-archive ~/Download/scmpc-
0.2.2.tar.bz2 scmpc
mv: невозможно переместить `gear-update-archive.UUxa15887/.' в `scmpc': 
Устройство или ресурс занято
gear-update-archive: unable to unpack new archive
wrar@wrars-comp ALT/git/scmpc $ tar -tf ~/Download/scmpc-0.2.2.tar.bz2 | head -1
./scmpc-0.2.2/
------- Comment #1 From 2006-12-18 16:44:42 -------
На автора утилиты.
------- Comment #2 From 2006-12-25 16:18:02 -------
Если ещё актуально, то можно увидеть результат выполнения команды:

tar -tf ~/Download/scmpc-
0.2.2.tar.bz2 |cut -d\/ -f1 |sort -u

?
------- Comment #3 From 2006-12-26 08:31:20 -------
Ну таки шо там смотреть.

$ tar -tf ~/Download/scmpc-0.2.2.tar.bz2 |cut -d\/ -f1 |sort -u
.
------- Comment #4 From 2006-12-26 23:19:07 -------
Так архив у вас пустой ?
------- Comment #5 From 2006-12-26 23:25:35 -------
(In reply to comment #4)
> Так архив у вас пустой ?

Нет, с чего бы. Я показывал в оригинальном тексте баги первую строку tar tf.
------- Comment #6 From 2006-12-27 12:21:11 -------
> Нет, с чего бы. Я показывал в оригинальном тексте баги первую строку tar tf.

Ясно. Тогда можно увидеть вывод от:
tar -tf ~/Download/scmpc-0.2.2.tar.bz2 |head -n10

?
------- Comment #7 From 2006-12-27 19:10:27 -------
./scmpc-0.2.2/
./scmpc-0.2.2/src/
./scmpc-0.2.2/src/audioscrobbler.c
./scmpc-0.2.2/src/misc.h
./scmpc-0.2.2/src/preferences.c
./scmpc-0.2.2/src/exception.h
./scmpc-0.2.2/src/audioscrobbler.h
./scmpc-0.2.2/src/scmpc.c
./scmpc-0.2.2/src/preferences.h
./scmpc-0.2.2/src/libmpd.c

Вообще http://scmpc.berlios.de/ , но берлиоз лежит.
------- Comment #8 From 2007-01-04 17:25:48 -------
Created an attachment (id=1742) [details]
gear-update

gear-update is replacment of gear-update-archive.
------- Comment #9 From 2007-01-04 17:27:07 -------
(In reply to comment #8)
> Created an attachment (id=1742) [edit] [details]
> gear-update

Этот скрипт идёт на замену gear-update-archive. В нём этой ошибки не должно быть.

------- Comment #10 From 2007-02-25 17:04:46 -------
Should be fixed in 1.1.1-alt1-23-gc7aa817